Package org.eclipse.microprofile.openapi.apps.petstore.data

# Class UserData

java.lang.Object
org.eclipse.microprofile.openapi.apps.petstore.data.UserData

public class UserData extends Object

## Constructor Summary

Constructors
Constructor
Description
`UserData()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUser(User user)`
`User`
`findUserByName(String username)`
`boolean`
`removeUser(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserData

public UserData()

## Method Details

### findUserByName

public User findUserByName(String username)

### addUser

public void addUser(User user)

### removeUser

public boolean removeUser(String username)